Bug 92526 - docx export: Line width of shape is wrong (0pt)
Summary: docx export: Line width of shape is wrong (0pt)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: filter:docx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2015-07-03 15:09 UTC by ralf.krapf
Modified: 2020-08-11 12:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (184.21 KB, image/png)
2015-07-03 15:10 UTC, ralf.krapf
Details
Original odt file (10.10 KB, application/vnd.oasis.opendocument.text)
2015-07-03 15:10 UTC, ralf.krapf
Details
Exported docx file with LO5002 (5.84 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-07-03 15:10 UTC, ralf.krapf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.krapf 2015-07-03 15:09:44 UTC
The export of attached file goes partwise wrong:
The line with 0 pt is wrong exported in docx. It appears as line with 0.75 pts in winword.
All other line with's are correct!

Cheers
Comment 1 ralf.krapf 2015-07-03 15:10:13 UTC
Created attachment 117027 [details]
Screenshot
Comment 2 ralf.krapf 2015-07-03 15:10:31 UTC
Created attachment 117028 [details]
Original odt file
Comment 3 ralf.krapf 2015-07-03 15:10:49 UTC
Created attachment 117029 [details]
Exported docx file with LO5002
Comment 4 raal 2015-07-03 16:02:47 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 7790b6a4544cf2d5ba0bcdfae31346cf2f9a0041
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-26_23:51:00
Comment 5 QA Administrators 2016-09-20 10:32:50 UTC Comment hidden (obsolete)
Comment 6 ralf.krapf 2016-09-20 19:25:28 UTC
Exactly still the same. LO 5.1.5.2, Win10 1511 64bit.
Comment 7 ralf.krapf 2016-09-20 20:04:23 UTC
And also the same with LO 5.2.1.2
Comment 8 QA Administrators 2017-12-11 08:53:32 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2020-05-18 13:56:39 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/96319d662dca12616eb52c601a2d5b5adca3ae57

tdf#92526 DrawingML shape export: fix 0 line width

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.